# -*- coding: utf-8 -*-
"""
    Copyright (C) 2020 Tubed (plugin.video.tubed)

    This file is part of plugin.video.tubed

    SPDX-License-Identifier: GPL-2.0-only
    See LICENSES/GPL-2.0-only.txt for more information.
"""

# pylint: disable=line-too-long

VIDEO_ITEM = {
    'kind': 'youtube#video',
    'etag': 'zhQzMRm9s0FIQTmGOlUMJBfJ05c',
    'id': 'md_249a3bYU',
    'snippet': {
        'publishedAt': '2020-10-06T14:49:01Z',
        'channelId': 'UChIs72whgZI9w6d6FhwGGHA',
        'title': 'HW News - "X590" False Alarm, Zen 3 Motherboard Support, NVIDIA RTX 3070',
        'description': 'In hardware news this week, there\'s an X590 false alarm, some Zen 3 motherboard support roll-out, RTX 3070 delays, and industry news about Microsoft, HPE, & super computers.\nSponsor: Arctic\'s Liquid Freezer II 280 on Amazon (https://geni.us/RJBy) or the P12 fans on Amazon (https://geni.us/CRzG8)\n\nShow notes: https://www.gamersnexus.net/industry/3622-hw-news-x590-false-alarm-rtx-3070-delay-zen-3\nWatch Der8auer\'s video: https://www.youtube.com/watch?v=ud6NrbJllzk\nWatch HUB\'s video: https://www.youtube.com/watch?v=lhyCdraz54s\n\nTIMESTAMPS\n\n00:00 - Recapping the Week\n01:09 - RTX 3070 Launch Moved to October 29th\n05:58 - Rumor: Zen 3 Will Arrive as Ryzen 5000\n10:42 - Zen 3 Motherboard Support Begins to Roll Out\n12:17 - Cornelis Networks to Breathe New Life into Intel’s Omni-Path\n13:52 - Leaked Windows XP Source Code Legitimate\n16:01 - HPE To Build New “Crossroads” Supercomputer \n19:13 - Microsoft Testing New Storage Monitoring Features\n21:02 - Corsair Tests Price Ceiling With K100 RGB Keyboard\n22:51 - EK Vertical GPU Bracket for Open Loops\n\nThe best way to support our work is through our store: https://store.gamersnexus.net/\r\n\r\nLike our content? Please consider becoming our Patron to support us: http://www.patreon.com/gamersnexus\r\n\r\n** Please like, comment, and subscribe for more! **\r\n\r\nLinks to Amazon and Newegg are typically monetized on our channel (affiliate links) and may return a commission of sales to us from the retailer. This is unrelated to the product manufacturer. Any advertisements or sponsorships are disclosed within the video ("this video is brought to you by") and above the fold in the description. We do not ever produce paid content or "sponsored content" (meaning that the content is our idea and is not funded externally aside from whatever ad placement is in the beginning) and we do not ever charge manufacturers for coverage.\r\n\r\nFollow us in these locations for more gaming and hardware updates:\r\n\r\nt: http://www.twitter.com/gamersnexus\r\nf: http://www.facebook.com/gamersnexus\r\nw: http://www.gamersnexus.net/\n\nHost: Steve Burke\nEditorial: Eric Hamilton\nVideo: Keegan Gallick, Andrew Coleman',
        'thumbnails': {
            'default': {
                'url': 'https://i.ytimg.com/vi/md_249a3bYU/default.jpg',
                'width': 120,
                'height': 90
            },
            'medium': {
                'url': 'https://i.ytimg.com/vi/md_249a3bYU/mqdefault.jpg',
                'width': 320,
                'height': 180
            },
            'high': {
                'url': 'https://i.ytimg.com/vi/md_249a3bYU/hqdefault.jpg',
                'width': 480,
                'height': 360
            },
            'standard': {
                'url': 'https://i.ytimg.com/vi/md_249a3bYU/sddefault.jpg',
                'width': 640,
                'height': 480
            },
            'maxres': {
                'url': 'https://i.ytimg.com/vi/md_249a3bYU/maxresdefault.jpg',
                'width': 1280,
                'height': 720
            }
        },
        'channelTitle': 'Gamers Nexus',
        'tags': ['gamersnexus', 'gamers nexus', 'computer hardware', 'hw news', 'nvidia rtx 3070 delay', 'nvidia geforce rtx 3070', 'rtx 3070 gpu', 'rtx 3070 review', 'corsair k100 keyboard', 'ek vertical gpu bracket', 'vertical gpu mounting', 'leaked windows xp source code', 'zen 3', 'cornelis networks'],
        'categoryId': '20',
        'liveBroadcastContent': 'none',
        'localized': {
            'title': 'HW News - "X590" False Alarm, Zen 3 Motherboard Support, NVIDIA RTX 3070',
            'description': 'In hardware news this week, there\'s an X590 false alarm, some Zen 3 motherboard support roll-out, RTX 3070 delays, and industry news about Microsoft, HPE, & super computers.\nSponsor: Arctic\'s Liquid Freezer II 280 on Amazon (https://geni.us/RJBy) or the P12 fans on Amazon (https://geni.us/CRzG8)\n\nShow notes: https://www.gamersnexus.net/industry/3622-hw-news-x590-false-alarm-rtx-3070-delay-zen-3\nWatch Der8auer\'s video: https://www.youtube.com/watch?v=ud6NrbJllzk\nWatch HUB\'s video: https://www.youtube.com/watch?v=lhyCdraz54s\n\nTIMESTAMPS\n\n00:00 - Recapping the Week\n01:09 - RTX 3070 Launch Moved to October 29th\n05:58 - Rumor: Zen 3 Will Arrive as Ryzen 5000\n10:42 - Zen 3 Motherboard Support Begins to Roll Out\n12:17 - Cornelis Networks to Breathe New Life into Intel’s Omni-Path\n13:52 - Leaked Windows XP Source Code Legitimate\n16:01 - HPE To Build New “Crossroads” Supercomputer \n19:13 - Microsoft Testing New Storage Monitoring Features\n21:02 - Corsair Tests Price Ceiling With K100 RGB Keyboard\n22:51 - EK Vertical GPU Bracket for Open Loops\n\nThe best way to support our work is through our store: https://store.gamersnexus.net/\r\n\r\nLike our content? Please consider becoming our Patron to support us: http://www.patreon.com/gamersnexus\r\n\r\n** Please like, comment, and subscribe for more! **\r\n\r\nLinks to Amazon and Newegg are typically monetized on our channel (affiliate links) and may return a commission of sales to us from the retailer. This is unrelated to the product manufacturer. Any advertisements or sponsorships are disclosed within the video ("this video is brought to you by") and above the fold in the description. We do not ever produce paid content or "sponsored content" (meaning that the content is our idea and is not funded externally aside from whatever ad placement is in the beginning) and we do not ever charge manufacturers for coverage.\r\n\r\nFollow us in these locations for more gaming and hardware updates:\r\n\r\nt: http://www.twitter.com/gamersnexus\r\nf: http://www.facebook.com/gamersnexus\r\nw: http://www.gamersnexus.net/\n\nHost: Steve Burke\nEditorial: Eric Hamilton\nVideo: Keegan Gallick, Andrew Coleman'
        },
        'defaultAudioLanguage': 'en'
    },
    'contentDetails': {
        'duration': 'PT25M53S',
        'dimension': '2d',
        'definition': 'hd',
        'caption': 'false',
        'licensedContent': True,
        'contentRating': {},
        'projection': 'rectangular'
    },
    'status': {
        'uploadStatus': 'processed',
        'privacyStatus': 'public',
        'license': 'youtube',
        'embeddable': True,
        'publicStatsViewable': True,
        'madeForKids': False
    },
    'statistics': {
        'viewCount': '197940',
        'likeCount': '9007',
        'dislikeCount': '101',
        'favoriteCount': '0',
        'commentCount': '867'
    }
}

VIDEO_SEARCH = {
    'kind': 'youtube#searchResult',
    'id': {
        'videoId': 'md_249a3bYU'
    },
    'snippet': {
        'title': 'HW News - "X590" False Alarm, Zen 3 Motherboard Support, NVIDIA RTX 3070'
    }
}

SIGN_IN_CODES = {
    'device_code': 'AH-2Ng1OQmV4lChzwnoW7mUqtP_l9yqH4pgTm3YjJmfhxOkzK'
                   'V1eELMgoxgauBhIusEti0_eNXrPBXtT0boPieoOpL-5yvAURQ',
    'user_code': 'ZSR-LLN-CHB',
    'expires_in': 1800,
    'interval': 5,
    'verification_url': 'https://www.google.com/device'
}
