# -*- coding: utf-8 -*-
"""
    Copyright (C) 2020 Tubed (plugin.video.tubed)

    This file is part of plugin.video.tubed

    SPDX-License-Identifier: GPL-2.0-only
    See LICENSES/GPL-2.0-only.txt for more information.
"""

STRINGS = {
    'Most Popular': 30000,
    'Next Page': 30001,
    'Recommendations': 30002,
    'Search': 30003,
    'My Channel': 30004,
    'Liked Videos': 30005,
    'Disliked Videos': 30006,
    'Playlists': 30007,
    'Channels': 30008,
    'Subscriptions': 30009,
    'Live': 30010,
    'Sign in with Google': 30011,
    'Sign Out': 30012,
    'Manage Users': 30013,
    'New Search': 30014,
    'Enter your search term': 30015,
    'Go to %s and enter the following code:': 30016,
    'New user...': 30017,
    'Rename user...': 30018,
    'Remove user...': 30019,
    'New Username': 30020,
    'Remove User': 30021,
    'Removing %s, are you sure?': 30022,
    'Uploads': 30023,
    'You are about to sign out, are you sure?': 30024,
    'Categories': 30025,
    'Remove...': 30026,
    'Clear history': 30027,
    'Watch Later': 30046,
    'Language': 30048,
    'Region': 30050,
    'Configure regional preferences': 30052,
    'Subtitle language': 30056,
    '%s with %s fallback': 30059,
    'No auto-generated': 30060,
    'None': 30061,
    'Prompt': 30062,
    'Subscribe': 30063,
    'Subscribed': 30064,
    'Unsubscribe': 30065,
    'Unsubscribed': 30066,
    'Error': 30067,
    'Play (Prompt for subtitles)': 30068,
    'Go to %s': 30069,
    'Subscribed to %s': 30070,
    'Unsubscribed from %s': 30071,
    'Rate': 30072,
    'I like this': 30073,
    'I dislike this': 30074,
    'Remove rating': 30075,
    'Liked': 30076,
    'Disliked': 30077,
    'Liked %s': 30078,
    'Disliked %s': 30079,
    'Rating removed': 30080,
    'Rating removed from %s': 30081,
    'New playlist': 30082,
    'Add to playlist': 30083,
    'Remove from playlist': 30084,
    'Delete playlist': 30085,
    'Enter your playlist title': 30086,
    'Added %s to %s': 30087,
    'Removed from playlist': 30088,
    'Removed %s from playlist': 30089,
    'Playlist deleted': 30090,
    '%s playlist deleted': 30091,
    'Rename playlist': 30092,
    'Playlist renamed to %s': 30093,
    '%s renamed to %s': 30094,
    'You are about to delete %s, are you sure?': 30095,
    'You are about to delete a playlist, are you sure?': 30096,
    'Upcoming': 30097,
    'Completed': 30098,
    '%s was scheduled to start %s': 30099,
    '%s is scheduled to start %s': 30100,
    'Related videos': 30101,
    'Data cache was cleared': 30107,
    'Function cache was cleared': 30108,
    'Data cache was deleted': 30111,
    'Function cache was deleted': 30112,
    'Failed to clear function cache': 30121,
    'Failed to clear data cache': 30122,
    'Failed to delete function cache': 30123,
    'Failed to delete data cache': 30124,
    'Comments': 30129,
    'Comment': 30130,
    'Read comment': 30131,
    'Likes': 30132,
    'Replies': 30133,
    'Comment has been edited': 30134,
    'Sort order': 30138,
    'Choose a sort order': 30139,
    'Alphabetical': 30140,
    'Relevance': 30141,
    'Activity': 30142,
    'Time': 30143,
    'Date': 30144,
    'Rating': 30145,
    'Title': 30146,
    'Video Count': 30147,
    'View Count': 30148,
    'Set as History': 30157,
    'Set as Watch Later': 30158,
    'Remove as History': 30159,
    'Remove as Watch Later': 30160,
    'History': 30161,
    'Watch later playlist configured': 30162,
    'History playlist configured': 30163,
    '%s was configured as your watch later playlist': 30164,
    '%s was configured as your history playlist': 30165,
    'Watch later playlist is no longer configured': 30166,
    'History playlist is no longer configured': 30167,
    '%s is no longer configured as your watch later playlist': 30168,
    '%s is no longer configured as your history playlist': 30169,
    'Add to watch later': 30170,
    'Favorite Channels': 30171,
    'Add to favorite channels': 30172,
    'Clear favorite channels': 30173,
    'Added to favorite channels': 30174,
    'Removed from favorite channels': 30175,
    'Import from xml': 30176,
    'Import failed': 30177,
    'Import completed successfully': 30178,
    'You are about to clear your favorite channels, are you sure?': 30179,
    'Favorite channels cleared': 30180,
    'Add %s to favorite channels': 30181,
    'Added %s to favorite channels': 30182,
    'Removed %s from favorite channels': 30183,
    'Refresh': 30184,
    'Choose watch later playlist': 30187,
    'Added %s to the new watch later playlist %s': 30188,
    'Play': 30193,
    'Play from %s': 30194,
    'Most Popular Regionally': 30195,
    'Hide %s': 30198,
    '%s was hidden from the main menu': 30199,
    'User is authenticated': 30200,
    'User is not authenticated': 30201,
    'Create a new user': 30202,
    'Rename a current user': 30203,
    'Remove a current user': 30204,
    'Change avatar...': 30205,
    'Change a current user\'s avatar': 30206,
    'Choose a new avatar': 30207,
    'Up Next': 30208,
    'Links in the description': 30209,
    'There were no links found in the description': 30210,
    'Create a new playlist': 30211,
    'Go to the next page': 30212,
    'Rate the selected video': 30213,
    'Rate %s': 30214,
    'likes': 30218,
    'dislikes': 30219,
    'views': 30220,
    'Chapters': 30221,
    'Chapter starts at %s': 30222,
    'Favorite Playlists': 30226,
    'Add to favorite playlists': 30227,
    'Clear favorite playlists': 30228,
    'Added to favorite playlists': 30229,
    'Removed from favorite playlists': 30230,
    'You are about to clear your favorite playlists, are you sure?': 30231,
    'Favorite playlists cleared': 30232,
    'Add %s to favorite playlists': 30233,
    'Added %s to favorite playlists': 30234,
    'Removed %s from favorite playlists': 30235,
    'Choose a location to create backup': 30243,
    'Choose a backup to restore': 30244,
    'Failed to create backup at %s': 30245,
    'Failed to restore backup from %s': 30246,
    'Backup successfully created at %s': 30247,
    'Backup successfully restored from %s': 30248,
    'Client ID: %s': 30249,
    'Further use of Tubed will be subject to this privacy policy': 30250,
    'Accept': 30251,
    'Decline': 30252,
    'Privacy Policy': 30253,
    'Sign In': 30254,
    'InputStream Adaptive is required and appears to be disabled. '
    'Would you like to enable InputStream Adaptive now?': 30255,
    'Settings': 30256,
    'No entries found': 30257,
    'v3 Data API Client': 30258,
    'YouTube-TV API Client': 30259,
}
